function Eswil(data) {
  this.startUp();
}

Eswil.prototype.startUp = function() {
  $('#haslo').css('width', '100%');
  $('#skan').removeAttr('onmousedown');
}

Eswil.id = "eswil";

$(function () {
  Element.addVisualizer(Eswil.id, Eswil);

  // First option - click and selection
  /*$('#lexp_results').on('click', '#haslo', function(event) {
    let lemma = selectWordOld().toLowerCase(),
        lang = $('#lang').val();

    $('#tooltip-test').html('<span lang="pl">Przejdź dalej - </span><span lang="en">Proceed - </span><a style="color: #337AB7" href="/lemma/' + lang + '/' + lemma + '">' + lemma + '</a>');
    $('#tooltip-test').css('display', 'inline-block').css('left', event.originalEvent.clientX - 55).css('top', event.originalEvent.clientY - 55);
  });*/

  // Second option - only selection
  $('#lexp_results').on('mouseup', '#haslo', function(event) {
    let lemma = selectWord() || '',
        lang = $('#lang').val(),
        data = new Object();

    data.lemma = lemma;
    data.lang = lang || 'pl';
    data.left = event.originalEvent.offsetX || 0;
    data.top = event.originalEvent.clientY - 55 || 0;

    if (lemma.length < 10) {
      data.left = event.originalEvent.offsetX + 20 || 0;
    }

    positionTooltip(data);
  });
});